#!/bin/sh 

SSP1_KEXT_PATH="/System/Library/Extensions/Sentinel.kext"
SSP2_KEXT_PATH="/Library/Extensions/Sentinel.kext"

### Remove old driver packages left in Receipts
sudo rm -rf /Library/Receipts/SentinelDriver*.pkg


ls /Library/Extensions | grep "Sentinel.kext" > /dev/null 2>&1  
if [ $? = 0 ]  
          then  
             sudo kextunload /Library/Extensions/Sentinel.kext
             sudo rm -rf /Library/Extensions/Sentinel.kext     
            
fi   

### Check whether old version of Kext is installed or not
#       sudo kextstat | grep com.SafeNet.driver.Sentinel | egrep "(7.3.0)|#(7.4.0)|(7.4.1)|(7.5.0)|(7.5.1)"  
       sudo pl < $SSP1_KEXT_PATH/Contents/Info.plist |grep CFBundleVersion |cut -d = -f 2 |  egrep "(7.3.0)|(7.4.0)|(7.4.1)|(7.5.0)|(7.5.1)"  
       if [ $? -eq 0 ]
       then
           if [ -d $SSP1_KEXT_PATH ]
           then 

               sudo kextunload /System/Library/Extensions/Sentinel.kext
           fi     
       
           if [ -d $SSP2_KEXT_PATH ]
           then 
               sudo kextunload /Library/Extensions/Sentinel.kext
            fi
    
        if [ -d $SSP1_KEXT_PATH ]
        then 
               sudo rm -rf $SSP1_KEXT_PATH
        fi
               
        if [ -d $SSP2_KEXT_PATH ]
        then 
              sudo rm -rf $SSP2_KEXT_PATH
        fi       
     fi
 


